Java 11 - SSL handshake for ECDH cipher suites trigger Invalid ECDH ServerKeyExchange with non-default security provider

Xuelei Fan xuelei.fan at oracle.com
Mon Jun 17 16:35:00 UTC 2019


Thanks for the update!

Xuelei

On 6/17/2019 6:01 AM, Jaikiran Pai wrote:
> I can confirm that the sample program that I included in this mail
> thread, in my first post, now works fine with BouncyCastle starting with
> version 1.61 of that library. So it looks like this issue got fixed in
> that version.
> 
> -Jaikiran
> 
> On 17/06/19 6:10 PM, torsten.liermann wrote:
>> The current version of bouncy castle (1.62) works for us.
>>
>>
>>
>> --
>> Sent from: http://openjdk.5641.n7.nabble.com/OpenJDK-Security-Development-f69724.html


More information about the security-dev mailing list